Name:		dpm-yaim
Version:	4.2.21
Release:	1%{?dist}
Summary:	YAIM configuration scripts for DPM Head and Disk nodes
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	make%{?_isa}

Requires:	glite-yaim-bdii
Requires:	glite-yaim-core
Requires:	dpm

%description
This package provides all required YAIM configuration functions to setup both
a Disk Pool Manager (DPM) Head and Disk Node.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install prefix=%{buildroot}/opt/glite

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
/opt/glite/*
%doc LICENSE RELEASE-NOTES VERSION

%changelog
* Mon Feb 17 2014 David Smith <david.smith@cern.ch> - 4.2.21-1
- move trunk to 4.2.21-1

* Mon Feb 17 2014 David Smith <david.smith@cern.ch> - 4.2.20-1
- lcgdm-1331; if needed setup gai.conf to allow srmv2.2 to bind to ipv6 socket
- prepare tag 4.2.20-1

* Thu Feb 06 2014 David Smith <david.smith@cern.ch> - 4.2.19-1
- lcgdm-1317; add log_level to /etc/gridftp.conf
- prepare tag 4.2.19-1

* Tue Feb 04 2014 David Smith <david.smith@cern.ch> - 4.2.18-1
- lcgdm-1206; configure adatper i/o to use plain io for aapter-0.6.1, otherwise rfio
- lcgdm-1204 add xroot,http,https to protocols list
- lcgdm-1251 enable synchronous get
- add MALLOC_ARENA_MAX to /etc/sysconfig/xrootd
- prepare tag of 4.2.18-1

* Thu Sep 26 2013 David Smith <david.smith@cern.ch> - 4.2.17-1
- fixes for lcgdm-1177, lcgdm-1178 and lcgdm-1179
- check that dmlite is configured if dav or dpm-xrootd is
- add mmreqhost localhost entry to standard dpm-xrootd redirector configuration
- prepare tag 4.2.17-1

* Thu Aug 15 2013 David Smith <david.smith@cern.ch> - 4.2.16-1
- Add GLOBUS_THREAD_MODEL to sysconfig files in config_DPM_se
- prepare to tag 4.2.16-1

* Tue Jul 30 2013 David Smith <david.smith@cern.ch> - 4.2.15-1
- set KeekAlive option in httpd.conf
- dpm-xrootd: only set listvoms on redirectors in case vomsxrd is not installed
- prepare to tag 4.2.15-1

* Thu Jul 11 2013 David Smith <david.smith@cern.ch> - 4.2.14-1
- Update for upstream release

* Wed Jul 10 2013 David Smith <david.smith@cern.ch> - 4.2.13-1
- Update for upstream release

* Thu Jun 06 2013 David Smith <david.smith@cern.ch> - 4.2.12-1
- Update for upstream release

* Tue Jun 04 2013 David Smith <david.smith@cern.ch> - 4.2.11-1
- Update for upstream release

* Wed Apr 03 2013 Oliver Keeble <oliver.keeble@cern.ch> - 4.2.10-1
- Update for upstream release

* Thu Mar 22 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 4.2.9-1
- Update for upstream release

* Thu Mar 22 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 4.2.7-1
- Update for upstream release

* Tue Feb 07 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 4.2.6-2
- Updated description
- Added missing build section
- Added documentation files

* Mon Feb 06 2012 Alejandro Alvarez <Alejandro.Alvarez.Ayllon@cern.ch> - 4.2.6-1
- Initial build
